import { EntityDetailViewModelBase } from "../detail-view-model-base";
import { Country } from "../../model/common-model";
import { Router } from "aurelia-router";
import { CustomLogger } from "../../modules/custom-logger";
export declare class CountryDetail extends EntityDetailViewModelBase<Country> {
    get documentTitle(): string;
    ressourceName: string;
    constructor(router: Router, logger: CustomLogger);
    activate(params: any): Promise<void>;
}
